<?php
/**
 * The Header template
 *
 * @package Theme-Vision
 * @subpackage Agama
 * @since Agama 1.0
 */ 

// Do not allow direct access to the file.
if( ! defined( 'ABSPATH' ) ) {
    exit;
} ?>

<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<!-- Global site tag (gtag.js) - Google Analytics -->
	<script async src="https://www.googletagmanager.com/gtag/js?id=アクセス解析のID[ UA-*********-* ]"></script>
	<script>
		window.dataLayer = window.dataLayer || [];
		function gtag(){dataLayer.push(arguments);}
		gtag('js', new Date());
		gtag('config', 'アクセス解析のID[ UA-*********-* ]');
	</script>
	<!-- END of Google Analytics -->
	<meta charset="<?php bloginfo( 'charset' ); ?>" />
	<meta name="viewport" content="width=device-width" />
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	$thumbnail_img = wp_get_attachment_image_src(get_post_thumbnail_id(), 'medium');
	$page_top_img  = $thumbnail_img[0];
?>
	<!-- ヘッダー部の背景画像設定 -->
	<style type="text/css">
	section#title-breadcrumbs{
		background : linear-gradient(rgba(235,235,235,0.6),rgba(202,202,202,0.6) 80%,rgba(158,158,158,0.6)),
		             url('<?php echo $page_top_img ?>') center/cover !important;
	}
	</style>
	<!-- ヘッダー部の背景画像設定 ここまで -->
	<?php wp_head(); ?>
	<!-- Top of Google Adsense  -->
	<script async src="//pagead2.googlesyndication.com/pagead/js/adsbygoogle.js"></script>
	<script>
	  (adsbygoogle = window.adsbygoogle || []).push({
	    google_ad_client: "広告用クライアントID[ ca-pub-**************** ]",
	    enable_page_level_ads: true
	  });
	</script>
	<!-- END of Google Adsense  -->
</head>

<body <?php body_class('stretched'); ?>>

<!-- Main Wrapper Start -->
<div id="main-wrapper">
	
	<!-- Header Start -->
	<header id="masthead" class="site-header clearfix <?php Agama::header_class(); ?>" role="banner">
		
		<?php Agama_Helper::get_header(); ?>
		
		<?php Agama_Helper::get_header_image(); ?>
		
	</header><!-- Header End -->
	
	<?php Agama_Helper::get_slider(); ?>
	
	<?php /* Agama_Helper::get_breadcrumb();  // 元々あるパンくずリストは使わない */ ?>

	<?php if(is_single()){  /* 記事の場合だけパンくずリストを表示させる */ ?>

	<section id="title-breadcrumbs">
		<div>
			<!-- パンくずリスト -->
			<ul class="header-breadcrumb">
				<li itemscope="itemscope" itemtype="http://data-vocabulary.org/Breadcrumb">
					<a href="<?php echo home_url('/'); ?>" itemscope="url">
						<span itemscope="title" id="breadcrumbs-home">Home</span>
					</a>
				</li>
				<?php
					$i_buff   = 0;
					$category = get_the_category();
					$category_hierarchy = get_category_parents($category[0]->term_id,TRUE,'////');
					$category_hierarchy = explode("////", $category_hierarchy);
					foreach($category_hierarchy as $cat_list){
						if(!empty($cat_list)){
							$cat_list = preg_replace('/>/', ' itemscope="url">'. "\n\t\t\t\t\t\t". '<span itemscope="title">', $cat_list, 1);
							$cat_list = preg_replace('/<\/a>/', '</span>'. "\n\t\t\t\t\t". '</a>'. "\n", $cat_list);
							echo ($i_buff++ ? "\t\t\t\t" : ""). '<li itemscope="itemscope" itemtype="http://data-vocabulary.org/Breadcrumb">'. "\n\t\t\t\t\t";
							echo $cat_list;
							echo "\t\t\t\t". '</li>'. "\n";
						}
					}
				?>
			<!-- タイトルは直ぐ下に<h1>タグで表示されるので「パンくずリスト」内では表示しない
				<li itemscope="itemscope" itemtype="http://data-vocabulary.org/Breadcrumb">
					<span itemscope="title"><?php the_title_attribute(); ?></span>
				</li>
			//-->
			</ul>
			<!--パンくずリストここまで-->
			<h1>
				<?php the_title_attribute(); ?>
			</h1>
		</div>
	</section>
	
	<?php } ?>

	<div id="page" class="hfeed site">
		<div id="main" class="wrapper">
			<div class="vision-row clearfix">
				
				<?php Agama_Helper::get_front_page_boxes(); ?>
				